Skip to main content
`Ctrl`+`K`

# skbio.stats.distance.DissimilarityMatrix.read

classmethod DissimilarityMatrix.read(file, format=None, **kwargs)

  Create a new `DissimilarityMatrix` instance from a file.

  This is a convenience method for `skbio.io.registry.read()`. For more information about the I/O system in scikit-bio, please see `skbio.io`.

  Supported file formats include:

  - `'binary_dm'` (`skbio.io.format.binary_dm`)

  - `'lsmat'` (`skbio.io.format.lsmat`)

  Parameters:
    file openable (filepath, URL, filehandle, etc.)

      The location to read the given format. Something that is understood by `skbio.io.util.open()`. Filehandles are not automatically closed, it is the responsibility of the caller.

    format str, optional

      The format must be a format name with a reader for `DissimilarityMatrix`. If a format is not provided or is None, it will attempt to guess the format.

    kwargs dict, optional

      Keyword arguments passed to `skbio.io.registry.read()` and the file format reader for `DissimilarityMatrix`.

  Returns:
    DissimilarityMatrix

      A new instance.

  See also

  `write`
  `skbio.io.registry.read`
  `skbio.io.util.open`
  `skbio.io.format.binary_dm`
  `skbio.io.format.lsmat`